/*******************************************************************
 Copyright  1995 - 1998, 3Com Corporation or its subsidiaries ("3Com").  
 All rights reserved.
   
 This software may be copied and used solely for developing products for 
 the Palm Computing platform and for archival and backup purposes.  Except 
 for the foregoing, no part of this software may be reproduced or transmitted 
 in any form or by any means or used to make any derivative work (such as 
 translation, transformation or adaptation) without express written consent 
 from 3Com.

 3Com reserves the right to revise this software and to make changes in content 
 from time to time without obligation on the part of 3Com to provide notification 
 of such revision or changes.  
 3COM MAKES NO REPRESENTATIONS OR WARRANTIES THAT THE SOFTWARE IS FREE OF ERRORS 
 OR THAT THE SOFTWARE IS SUITABLE FOR YOUR USE.  THE SOFTWARE IS PROVIDED ON AN 
 "AS IS" BASIS.  3COM MAKES NO WARRANTIES, TERMS OR CONDITIONS, EXPRESS OR IMPLIED, 
 EITHER IN FACT OR BY OPERATION OF LAW, STATUTORY OR OTHERWISE, INCLUDING WARRANTIES, 
 TERMS, OR CONDITIONS OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, AND 
 SATISFACTORY QUALITY.

 TO THE FULL EXTENT ALLOWED BY LAW, 3COM ALSO EXCLUDES FOR ITSELF AND ITS SUPPLIERS 
 ANY LIABILITY, WHETHER BASED IN CONTRACT OR TORT (INCLUDING NEGLIGENCE), FOR 
 DIRECT, INCIDENTAL, CONSEQUENTIAL, INDIRECT, SPECIAL, OR PUNITIVE DAMAGES OF 
 ANY KIND, OR FOR LOSS OF REVENUE OR PROFITS, LOSS OF BUSINESS, LOSS OF INFORMATION 
 OR DATA, OR OTHER FINANCIAL LOSS ARISING OUT OF OR IN CONNECTION WITH THIS SOFTWARE, 
 EVEN IF 3COM HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.

 3Com, HotSync, Palm Computing, and Graffiti are registered trademarks, and 
 Palm III and Palm OS are trademarks of 3Com Corporation or its subsidiaries.

 IF THIS SOFTWARE IS PROVIDED ON A COMPACT DISK, THE OTHER SOFTWARE AND 
 DOCUMENTATION ON THE COMPACT DISK ARE SUBJECT TO THE LICENSE AGREEMENT 
 ACCOMPANYING THE COMPACT DISK.

 *-------------------------------------------------------------------  
 * FileName:
 *		Pilot.h
 *
 * Description:
 *		Include file used by UI library source code modules
 *
 * History:
 *   	6/ 6/95  RM - Created by Ron Marianetti
 *		2/24/97  RF - Changed to handle c++ versions.
 *   	4/24/97  SL - Changes for PalmOS 2.0 SDK
 *   	5/19/97  SL - Now includes <types.h> only in MWERKS environments
 *
 *******************************************************************/  


// This tells "SysAll.h" not to use it's own pre-compiled header
#define	__PILOT_H__ 

// Include the pre-compiled header, if not overriden. This pre-compiled header
//  can be automatically re-generated by CodeWarrior by including the
//  source file "Pilot.pch" in your project.
#ifndef PILOT_PRECOMPILED_HEADERS_OFF

	// Use Metrowerk's precompiled headers option
	#if defined(__MWERKS__)
		#if	!__option(precompile)
			#if	__PALMOS_TRAPS__
				#ifdef __cplusplus
					#include "Pilot.h++.mch"
				#else
					#include "Pilot.h.mch"
				#endif
			#else
				#ifdef CMD_LINE_BUILD			
					#ifdef __cplusplus
						#include "Pilot.h++.mpw.mch"
					#else
						#include "Pilot.h.mpw.mch"
					#endif
				#else	
					#ifdef __cplusplus
						#include "Pilot.h++.sim.mch"
					#else
						#include "Pilot.h.sim.mch"
					#endif
				#endif
			#endif
			#define	__INCLUDED_PILOT_H_OBJ__
		#endif
	#endif
	
#endif


// Fastest compilation speed is obtained by not including these
//  headers when the pre-compiled header is used.
#ifndef __INCLUDED_PILOT_H_OBJ__

// The following Mac include file must be included before the Pilot
//  headers for the emulator modules that have both Mac and Pilot
//  code in them.  This is only relevant for development environments
//  that can compile both Mac and PalmOS code.
#if defined(__MWERKS__)
	#if !defined(CMD_LINE_BUILD) && !defined(__PALMOS_TRAPS__)
		#include <types.h>		// Include Mac types.h file
	#endif
#endif


#include <SysAll.h>
#include <UIAll.h>

#define	NON_PORTABLE
#include <Globals.h>
#include <UIGlobals.h>

#endif
